CVE-2022-3647

NameCVE-2022-3647
Description** DISPUTED ** A vulnerability, which was classified as problematic, was found in Redis. Affected is the function sigsegvHandler of the file debug.c of the component Crash Report. The manipulation leads to denial of service. The real existence of this vulnerability is still doubted at the moment. The name of the patch is 0bf90d944313919eb8e63d3588bf63a367f020a3. It is recommended to apply a patch to fix this issue. VDB-211962 is the identifier assigned to this vulnerability. NOTE: The vendor claims that this is not a DoS because it applies to the crash logging mechanism which is triggered after a crash has occurred.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
redis (PTS)buster, buster (security)5:5.0.14-1+deb10u2vulnerable
bullseye (security), bullseye5:6.0.16-1+deb11u2vulnerable
bookworm, sid5:7.0.5-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
redissource(unstable)(unfixed)unimportant

Notes

https://github.com/redis/redis/commit/0bf90d944313919eb8e63d3588bf63a367f020a3
Crash inside the crash report when redis already crashed due to calling an invalid
function pointer, negligible security impact

Search for package or bug name: Reporting problems